Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Can I restrict maven provider to fetch stable versions only
Can I restrict maven provider to fetch stable versions only [message #758604] Wed, 23 November 2011 20:30 Go to next message
Alan Underwood is currently offline Alan Underwood
Messages: 37
Registered: October 2010
Member
I work in an environment with a fairly active maven repository, and my buckminster builds pull quite a few artefacts from that repository. However, I usually don't want the latest 'snapshot' builds from the repository, I want the latest stable build; but Buckminster will fetch the latest snapshot if the version constraints are okay.

I could set the version constraints to include the last stable build and no further, but I don't really want to micro-manage the version constraints on a large number of maven artefacts that change quite frequently.

So my question is this: is there a way to specify that the maven provider only fetches the version marked 'stable' in the maven-metadata.xml file?

If not, do you think it is a good idea and that I should enter a bug to request it? I don't mind having a look at the code and making a patch. Cool

Regards

Alan
Re: Can I restrict maven provider to fetch stable versions only [message #758651 is a reply to message #758604] Thu, 24 November 2011 06:14 Go to previous message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
Hi Alan,

This sounds like a very useful improvement. An enhancement request is
always welcome, and if you're thinking of providing a patch, even better!

- thomas

On 2011-11-23 21:30, Alan Underwood wrote:
> I work in an environment with a fairly active maven repository, and my
> buckminster builds pull quite a few artefacts from that repository.
> However, I usually don't want the latest 'snapshot' builds from the
> repository, I want the latest stable build; but Buckminster will fetch
> the latest snapshot if the version constraints are okay.
>
> I could set the version constraints to include the last stable build and
> no further, but I don't really want to micro-manage the version
> constraints on a large number of maven artefacts that change quite
> frequently.
>
> So my question is this: is there a way to specify that the maven
> provider only fetches the version marked 'stable' in the
> maven-metadata.xml file?
>
> If not, do you think it is a good idea and that I should enter a bug to
> request it? I don't mind having a look at the code and making a patch. 8)
> Regards
>
> Alan
Previous Topic:Unable to import offline target platform for hudson/jenkins buckminster run
Next Topic:Multiple lauchner exe files
Goto Forum:
  


Current Time: Sat Oct 25 19:08:59 GMT 2014

Powered by FUDForum. Page generated in 0.01883 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software